eog (3.20.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.19.11) as per configure.ac.
  * Bump debhelper compat level to 10 (automatic dh-autoreconf).
    (Closes: #558501)
  * Add Build-Depends on gnome-common, required by autoreconf.
  * Exclude libtool .la files from list-missing.
  * Use dh-autoreconf --as-needed for reduced runtime dependencies.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 23:46:24 +0200

eog (3.20.4-1) unstable; urgency=medium

  * New upstream release.
    - fixes CVE-2016-6855 out-of-bounds write in eog 3.10.2

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 22:39:41 +0200

eog (3.20.3-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump debhelper compatibility level to 9.
  * Convert to multiarch. Mark eog-dev as Architecture: any as the package now
    ships files in architecture specific paths. Add versioned Breaks against
    eog-plugins which needs to be updated to use multiarch paths as well.
  * Turn Build-Depends-Indep into Build-Depends.
  * Tighten eog-dev's dependency on eog.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jun 2016 21:50:54 +0200

eog (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 19:58:07 +0200

eog (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop eog-dbg package now that we have automatic dbgsym packages.
  * Suggest eog-plugins. (Closes: #637831)
  * Track stable releases (again) via debian/watch.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 15:40:11 +0200

eog (3.19.92-2) experimental; urgency=medium

  * debian/watch: Find unstable versions too.
  * debian/patches/0001-Add-a-traditional-menu-bar.patch,
    debian/patches/0002-Show-traditional-title-bar-in-unity.patch: Fix to
    apply, and make smaller while achieving the same result (thanks, GTK!).
  * debian/patches/Put-Exit-Fullscreen-button-into-toolbar.patch: Drop,
    applied upstream.

 -- Iain Lane <laney@debian.org>  Wed, 16 Mar 2016 15:08:14 +0000

eog (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - libgtk-3-dev (>= 3.19.3)
    - libglib2.0-dev (>= 2.42.0)
  * Bump Standards-Version to 3.9.7.
  * Temporarily disable patch which no longer applies:
    - debian/patches/0001-Add-a-traditional-menu-bar.patch
    - debian/patches/Put-Exit-Fullscreen-button-into-toolbar.patch
  * Update patch to apply:
    - debian/patches/0002-Show-traditional-title-bar-in-unity.patch

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 21:35:19 +0100

eog (3.18.2-1) unstable; urgency=medium

  * New upstrem release.
  * debian/patches/0001-Add-a-traditional-menu-bar.patch: Show a traditional
    menu bar if the DE requests it - happens for Xfce for example. (Closes:
    #793445)
  * debian/patches/0002-Show-traditional-title-bar-in-unity.patch: Since we're
    doing ↑, take a small patch to not use the headerbar on Unity - easily
    extended to other desktops in Debian if they want it.
  * debian/patches/Put-Exit-Fullscreen-button-into-toolbar.patch: Cherry-pick
    from upstream to pack the "Exit Fullscreen" button correctly, so that it
    is themed right.
  * debian/patches/disable-appmenu-when-not-needed.patch: Drop, not needed
    with the above.

 -- Iain Lane <laney@debian.org>  Mon, 15 Feb 2016 16:38:08 +0000

eog (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove Breaks from pre-oldstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2015 23:40:49 +0100

eog (3.18.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove Debian menu entry.

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump libgdk-pixbuf2.0-dev to >= 2.30.0

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Oct 2015 23:15:53 +0200

eog (3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Aug 2015 09:04:58 +0200

eog (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop libxml2 build-dependency according to configure.ac changes.
  * Update debian/patches/disable-appmenu-when-not-needed.patch to apply.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 19 May 2015 16:23:57 +0200

eog (3.14.4-1) experimental; urgency=medium

  * New upstream release 3.14.4, fixing bug:
    + eog crashes when attempting two-finger zoom gesture on touchpad (LP:
    #1436920)
  * disable-appmenu-when-not-needed.patch: Take a patch from Ubuntu to disable
    the app menu when we're showing the traditional menu, which has all of the
    same actions.

 -- Iain Lane <laney@debian.org>  Wed, 01 Apr 2015 17:47:12 +0100

eog (3.14.3-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * Drop depends on gnome-icon-theme, it's no longer needed

  [ Iain Lane ]
  * New upstream release 3.14.3

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 06 Jan 2015 13:04:23 +0000

eog (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.14.0) as per configure.ac.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Drop obsolete Conflicts/Replaces: gir1.2-eog-3.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 23:03:14 +0200

eog (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 09:13:34 +0200

eog (3.13.92-1) unstable; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Sep 2014 10:01:00 +0200

eog (3.13.90-1) experimental; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 06 Sep 2014 13:52:06 +0200

eog (3.12.2-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Relax gnome-desktop dependencies again.

  [ Jean Schurger ]
  * New upstream release
  * Bump Standards-Version to 3.9.5. No further changes.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 13:07:34 +0200

eog (3.12.1-1) experimental; urgency=medium

  * New upstream translation release.
  * Rebuild against new gnome-desktop.
  * Bump gnome-desktop build-dependency accordingly.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Apr 2014 10:42:48 +0200

eog (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Revert changes in 3.10.1-2
    - i.e. lower gnome-desktop build-dependency again
  * eog: Install appdata file

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Mar 2014 13:11:12 +0100

eog (3.11.90-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump Gtk+ 3.10.6, glib 2.38.0, gtk-doc 1.16
    - drop libx11-dev (sunkeysym)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Feb 2014 01:36:19 +0100

eog (3.10.1-2) experimental; urgency=low

  * Force build against experimental version of gnome-desktop

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 11:25:04 +0100

eog (3.10.1-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dependency on libgtk-3-dev to >= 3.7.8.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 12:34:54 +0200

eog (3.8.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Drop obsolete --disable-scrollkeeper configure flag.
  * Lower Build-Depends on libgnome-desktop-3-dev again. It's not really
    required and unstable still has an old libgnome-desktop version.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Add Build-Depends on autotools-dev as lintian was complaining about
    outdated config.{guess,sub}.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Jun 2013 07:04:51 +0200

eog (3.8.0-2) experimental; urgency=low

  * debian/control.in:
    + Bump libgnome-desktop-3-dev build dependency to ensure a
      dependency on the new SONAME.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 29 Mar 2013 12:20:48 +0100

eog (3.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 27 Mar 2013 23:33:32 +0100

eog (3.7.91-1) experimental; urgency=low

  * New upstream release
  * Bump build-dependency on libgtk-3-dev to (>= 3.5.4)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 18 Mar 2013 21:04:05 +0100

eog (3.6.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release
    - adjust to new help location
    - increase build-dependencies

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Oct 2012 20:24:02 +0100

eog (3.4.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in: Recommend yelp

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jun 2012 23:21:35 +0200

eog (3.4.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 03:58:38 +0200

eog (3.4.1-1) experimental; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 16:31:52 +0200

eog (3.4.0-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Mar 2012 00:20:01 +0200

eog (3.3.92-1) experimental; urgency=low

  * New upstream development release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 03:16:11 +0100

eog (3.3.91-1) experimental; urgency=low

  * New upstream release.
  * Bump libglib2.0-dev, libgtk-3-dev and libgdk-pixbuf2.0-dev Build-Deps.
  * Set Maintainer to the GNOME team.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Point to versioned GPL-2 file.
  * Build-Depend on libgdk-pixbuf2.0-doc to fix cross-reference links.

 -- Jordi Mallach <jordi@debian.org>  Wed, 07 Mar 2012 14:23:42 +0100

eog (3.2.2-3) unstable; urgency=low

  * debian/patches/0001-Don-t-lock-GDK-around-g_application_run.patch:
    Don't lock GDK around g_application_run(). An unintended interaction
    between GtkApplication and GDK threading made this necessary before.
    That code has since been simplified, breaking this formerly-working code.
    Patch cherry-picked from upstream Git. (Closes: #665374)

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Apr 2012 23:23:23 +0200

eog (3.2.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 01:30:53 +0100

eog (3.2.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Drop Build-Depends on libdbus-glib-1-dev, no longer required.
  * debian/watch:
    - Fix regex to correctly match directories.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 20:59:59 +0100

eog (3.2.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * 01_nodisplay.patch: dropped. Let’s show applications in the shell 
    now. Closes: #624560.

  [ Sjoerd Simons ]
  * New upstream release (3.2.1)
  * debian/watch: Monitor xz tarballs
  * debian/control.in: Update glib build-depends
  * debian/eog.install: Remove omf dir, no longer used

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 02 Nov 2011 20:35:55 +0000

eog (3.0.2-2) unstable; urgency=low

  * debian/control.in:
    - Change Build-Depends on libjpeg62-dev to libjpeg-dev in preparation of
      the libjpeg8 transition.
    - Add Depends on gir1.2-peas-1.0 to eog. (Closes: #630910)
    - Remove Build-Depends on gir1.2-gtk-3.0 and let libgtk-3-dev pull that
      dependency in. Bump Build-Depends on libgtk-3-dev to (>= 3.0.8-1~)
      accordingly.
    - Update Vcs-* fields.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Jul 2011 17:52:56 +0200

eog (3.0.2-1) experimental; urgency=low

  * New upstream stable release.
  * debian/watch: Switch to .bz2 tarballs.
  * Switch to debhelper compatibility level 8.
    - Bump Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.
  * debian/control.in
    - Bump Standards-Version to 3.9.2. No further changes.
    - Add Build-Depends on librsvg2-dev (>= 2.26.0) for scaling svg images.
  * debian/eog-dev.install
    - Install gtk-doc API documentation.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Jun 2011 18:31:50 +0200

eog (3.0.1-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Add Conflicts and Replaces against gir1.2-eog-3.0 to eog (Closes: #622636).

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 19:47:05 +0100

eog (3.0.0-1) experimental; urgency=low

  * Make the -dev package depend on the gir package.
  * New upstream release.
  * Update build-dependencies.
  * Put the gir in the eog package, since it’s in a private directory.
  * Break eog-plugins < 2.91.
  * Pass arguments to dh_girepository in a more canonical way.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Apr 2011 22:57:14 +0200

eog (2.91.92-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: added missing dependency on gsettings-desktop-schemas.

 -- Frederic Peters <fpeters@debian.org>  Mon, 28 Mar 2011 11:48:04 +0530

eog (2.91.91-4) experimental; urgency=low

  * debian/control.in: add build-dep on a recent version of libatk1.0-dev to
    make sure the necessary gobject introspection files get installed.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Mar 2011 22:27:47 +0100

eog (2.91.91-3) experimental; urgency=low

  * debian/rules: get gir dependencies using file from debian/tmp/.

 -- Frederic Peters <fpeters@debian.org>  Mon, 21 Mar 2011 23:49:15 +0100

eog (2.91.91-2) experimental; urgency=low

  * debian/eog.install: install eog.convert, for porting configuration from
    gconf to gsettings.
  * debian/rules: fix removal of gir file from eog package.
  * debian/rules: fix generation of gir:Depends, looking for files in their
    private directories.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Mar 2011 15:25:28 +0100

eog (2.91.91-1) experimental; urgency=low

  * New upstream development release.
    + Update debian/control.in for new dependencies.
    + Create a gir1.2-eog-3.0 package.
    + Make eog depends on gir1.2-eog-3.0 as it is required for plugins.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Mar 2011 13:38:33 +0100

eog (2.30.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Bump Standards-Version to 3.9.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Jul 2010 00:52:16 +0200

eog (2.30.1-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release:
    - Update Japanese translation. Closes: #550830.
  * debian/control.in:
    - Update Standards-version to latest 3.8.4. No changes needed.
    - Bump libgtk2.0-dev build-depend to 2.17.15.
  * debian/patches/01_nodisplay.patch:
    - Refreshed.
  * debian/copyright:
    - Fix FSF address.

  [ Michael Biebl ]
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Add debian/patches/series.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.
  * debian/control.in
    - Add Vcs-* fields.
    - Drop Conflicts: eog2, no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 03 May 2010 18:53:57 +0200

eog (2.28.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: don't uupdate.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Dec 2009 15:32:33 +0100

eog (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - added missing copyright holders.
    - added copyright informations about src/eog-image-jpeg.c,
       cut-n-paste/totem-screensaver/totem-scrsaver.h and
       cut-n-paste/totem-screensaver/totem-scrsaver.c files, which 
       are licensed under the LGPL-2.

 -- Andrea Veri <andrea.veri89@gmail.com>  Wed, 21 Oct 2009 23:29:28 +0200

eog (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/99_ltmain_as-needed.patch: Dropped, already there.
  * debian/control{,.in}: Bump build-dependency on libgtk2.0-dev to >= 2.15.2,
    drop build-dependency on libart-2.0-dev.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Sep 2009 18:24:07 +0200

eog (2.26.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bumped Standards-version to latest 3.8.3. No changes needed.
    - added homepage field pointing it to the right project's
      homepage.
    - added ${misc:Depends} on both eog-dbg / eog-dev binaries making
      lintian happy again.

 -- Andrea Veri <andrea.veri89@gmail.com>  Tue, 15 Sep 2009 21:28:38 +0200

eog (2.26.2-1) unstable; urgency=low

  * Update build-dependencies to the 2.26 requirements.
    Closes: #530649.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 26 May 2009 22:18:58 +0200

eog (2.26.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add libglib2.0-doc and libgtk2.0-doc to b-d-i to ensure proper 
    xrefs.

  [ Luca Bruno ]
  * New upstream release:
    - Fix GError usage and avoid crashes when the tempfile can't be moved
      to the destination. Closes: #507991
  * debian/patches/02_sanitize_sys.path.patch:
    - Remove as applied upstream.
  * debian/control.in:
    - Build-Depends:
      + Remove libart-2.0-dev.
      + Add libxml2-dev for toolbareditor support.
      + Bump libgtk2.0-dev to 2.15.1.
      + Bump libgnome-desktop-dev to 2.25.1.
    - eog-dev Depends:
      + Remove libgnomeui-dev and libglade2-dev.
      + Add libgtk2.0-dev.
    - Specify section for debug package.

  [ Josselin Mouette ]
  * Remove useless build-dependencies on libglade and libgnomeui.

 -- Josselin Mouette <joss@debian.org>  Thu, 14 May 2009 08:42:20 +0200

eog (2.24.3.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 19:29:03 +0100

eog (2.24.2-1) experimental; urgency=low

  * 99_ltmain_as-needed.patch: introduce patch to make --as-needed work 
    on shared objects.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Dec 2008 16:24:42 +0100

eog (2.24.1-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies, add missing dependencies for eog-dev.
  * Remove broken changelog entry at the end.
  * Don’t build with -z defs, it fails for the plugins.
  * eog.install: install the plugins.
  * eog-dev.install: install the documentation.
  * Pass --no-act to dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Thu, 13 Nov 2008 18:06:45 +0100

eog (2.22.3-2) unstable; urgency=high

  [ Deng Xiyue ]
  * 02_sanitize_sys.path.patch: fix possible security problem caused by
    empty sys.path which allows the possibility to run arbitrary code by a
    file matches the name of a python module in user's working directory.
    Thanks James Vega <jamessan@debian.org> for the patch.
    (Closes: #504352)

 -- Josselin Mouette <joss@debian.org>  Thu, 06 Nov 2008 09:04:21 +0100

eog (2.22.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 01_nodisplay.patch: do not display the menu entry by default; an 
    image viewer is mostly useless except when launched from the file 
    browser.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/control.in:
    + Updated Standards-Version to 3.8.0, no additional changes needed.
    + Build depend on intltool as it's required now.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 11:49:13 +0200

eog (2.22.2-1) unstable; urgency=low

  * New upstream release.
    - adds "image/svg+xml-compressed" to the list of supported file types
      (Closes: #477436).

 -- Guilherme de S. Pastore <gpastore@debian.org>  Fri, 30 May 2008 23:07:01 -0300

eog (2.22.1-1) unstable; urgency=low

  [ Romain Francoise ]
  * debian/control.in: Bump build-depends on libglib2.0-dev to (>= 2.15.3).

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 05:44:49 +0200

eog (2.22.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix capitalization of GNOME.
  * Rework description to make it a bit more up to date.
    Closes: #463221.

  [ Romain Francoise ]
  * New upstream release:
    + Handles XPM files properly again (closes: #444742).
    + Includes performance improvements (closes: #463112).
    + No longer crashes if ~/.gnome2/eog is not a directory (closes: #445544).
  * debian/control: Bump build-depends on libglib2.0-dev to (>= 2.15.3).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 14 Mar 2008 23:38:03 +0100

eog (2.20.4-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Jan 2008 21:21:09 +0100

eog (2.20.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_eog_xmp.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Nov 2007 05:40:17 +0100

eog (2.20.2-2) unstable; urgency=low

  * debian/patches/01_eog_xmp.patch,
    debian/control.in:
    + Build against exempi 1.99.5, patch by Michael Biebl.
      (Closes: #450485, #451726)
  * debian/menu:
    + Fix section.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 19 Nov 2007 16:44:43 +0100

eog (2.20.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Oct 2007 06:51:09 +0100

eog (2.20.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/menu:
    + Fix section in the menu file.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2007 11:07:36 +0200

eog (2.20.0-2) unstable; urgency=low

  * Remove obsolete manual pages.
  * rules: cleanup.
  * Add a new package: eog-dev, containing the headers and pkg-config 
    files.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 00:07:47 +0200

eog (2.20.0-1) unstable; urgency=low

  * New upstream release.
    + Fix crash when switching between normal and fullscreen modes.
      Closes: #382164.
    + Add WBMP to supported file types. Closes: #270595.
    + Shows file type in properties dialog. Closes: #439798.
    + Features a command line option to start in fullscreen mode.
      Closes: #134684.
  * Massive build-depends update.
  * Fix section for the menu file.
  * Don't ship the headers and pkg-config files for now.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Sep 2007 22:39:07 +0200

eog (2.18.2-2) experimental; urgency=low

  [ Sven Arvidsson ]
  * Add a -dbg package. (Closes: #427410)

  [ Loic Minier ]
  * Target at experimental for binary package addition.

 -- Loic Minier <lool@dooz.org>  Mon, 11 Jun 2007 10:13:57 +0200

eog (2.18.2-1) unstable; urgency=low

  * New upstream translation and bugfix release.

 -- Josselin Mouette <joss@debian.org>  Sat, 02 Jun 2007 09:26:11 +0200

eog (2.18.1-1) unstable; urgency=low

  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Set LDFLAGS directly instead of via DEB_CONFIGURE_SCRIPT_ENV; build-dep on
    cdbs >= 0.4.41.
  * Preprend -Wl,-z,defs before -Wl,--as-needed in LDFLAGS.
  * Upload to unstable; drop check-dist include.
  * Wrap build-deps and deps.
  * Bump up Debhelper compatibility level to 5.
  * Fix watch file to track all stable releases and use HTTP.
  * Verbose the rm calls.
  * Drop obsolete debian/NEWS which concerns pre-sarge versions.
  * New upstream stable release.

 -- Loic Minier <lool@dooz.org>  Wed, 25 Apr 2007 15:32:14 +0200

eog (2.18.0.1-1) experimental; urgency=low

  * New upstream release:
    - debian/control.in:
      + Updated build-depends to new requirements
      + Added new dependency on gnome-icon-theme, as eog now uses icons from
        there.
    - debian/patches/01_error-loading.patch:
       Dropped, included upstream.
    - Changed scroll wheel behaviour to not switch images, but actually
      scroll. (Closes: #414128)
    - Fixed handling of external file removal. (Closes: #370452)
    - Fixed segfaults when exiting the collection view. (Closes: #404325)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 25 Mar 2007 13:17:10 +0200

eog (2.16.3-3) unstable; urgency=medium

  [ Sven Arvidsson ]
  * New patch, 01_error-loading, show an error message instead of 
    closing the program if the image loading has failed; thanks
    Claudio Saavedra. GNOME #399988 (Closes: #391582)

 -- Sven Arvidsson <sa@whiz.se>  Tue, 27 Feb 2007 15:07:47 +0100

eog (2.16.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Sat,  3 Feb 2007 11:45:07 +0100

eog (2.16.3-1) experimental; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New upstream stable release; bug fixes and translation updates.

 -- Loic Minier <lool@dooz.org>  Mon, 29 Jan 2007 22:07:49 +0100

eog (2.16.2-1) unstable; urgency=low

  * New upstream stable release with code cleanups and translations.

 -- Loic Minier <lool@dooz.org>  Sat, 18 Nov 2006 09:41:07 +0100

eog (2.16.1.1-1) unstable; urgency=low

  * Upload to unstable.
  * Add CDBS' utils.
  * New upstream release.
  * Don't trust the upstream configure to honor its advertized
    --disable-scrollkeper and remove generated /var/scrollkeeper for
    additional safety.

 -- Loic Minier <lool@dooz.org>  Fri, 20 Oct 2006 10:59:06 +0200

eog (2.16.1-1) experimental; urgency=low

  * New upstream release.
    - build in a non-broken environment (Closes: #389242).

  * debian/watch: updated.

 -- Guilherme de S. Pastore <gpastore@debian.org>  Fri, 29 Sep 2006 19:42:52 -0300

eog (2.16.0.1-1) experimental; urgency=low

  * New upstream release
    - Fixed printing of GIF images (Closes: #343496)

  * debian/control.in:
    - updated my e-mail address
    - added build-dependency on gnome-doc-utils

  * debian/patches/10_no_scrollkeeper_update.patch:
    - dropped; not needed anymore

  * debian/rules:
    - use --disable-scrollkeeper

 -- Guilherme de S. Pastore <gpastore@debian.org>  Mon,  4 Sep 2006 16:25:06 -0300

eog (2.14.3-1) unstable; urgency=low

  * New upstream release.
  * Bump up Standards-Version to 3.7.2.

 -- Loic Minier <lool@dooz.org>  Tue,  8 Aug 2006 13:05:41 +0200

eog (2.14.2-1) unstable; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Tue, 30 May 2006 17:06:44 +0200

eog (2.14.1-1) unstable; urgency=low

  * New upstream release.

 -- Guilherme de S. Pastore <gpastore@debian.org>  Fri, 21 Apr 2006 11:37:34 -0300

eog (2.14.0-1) unstable; urgency=low

  Oystein Gisnas <oystein@gisnas.net>:
  * New upstream release
    - Print preview bugs fixed (Closes: #247544)
    - Can display on multiple displays (Closes: #275693)
    - Can display SVG images (Closes: #280922)
    - Hides information sidebar as default (Closes: #292447)
    - Fixes crash opening some SVGs (Closes: #322879)
  * Update libgtk2.0-dev build depenency to (>= 2.7.1)
  * Add build dependencies liblcms-dev, libart-2.0-dev (>= 2.3.16),
    libgnome-desktop-dev (>= 2.10.0)
  * Update watch file

  * Segfaults when opening two jpeg files are no longer reproducible.
    (Closes: #358372)
  * Full-screen can be left by pressing F11 again. (Closes: #307716)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  1 Apr 2006 21:08:21 +0200

eog (2.12.3-1) unstable; urgency=low

  * New upstream release (bug fixes and translation updates).
  * [debian/rules] Have the linker work harder to produce a faster loading
    binary and to trim down unneeded direct dependencies.

  Josselin Mouette <joss@debian.org>:
  * Recommend librsvg2-common.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed,  8 Feb 2006 20:54:57 +0100

eog (2.12.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun,  8 Jan 2006 14:24:29 +0100

eog (2.12.2-1) experimental; urgency=low

  [ Guilherme de S. Pastore ]
  * New upstream release
    - Fixes some crashes (Closes: #322879)
  * debian/patches/02_svg.diff: dropped; applied upstream

  [ Loic Minier ]
  * Comment out scrollkeeper-update calls.
    [debian/patches/10_no_scrollkeeper_update.patch]

 -- Loic Minier <lool@dooz.org>  Sun,  4 Dec 2005 22:02:02 +0100

eog (2.12.1-1) experimental; urgency=low

  * New upstream release
  * debian/watch:
  - added to help tracking upstream
  * debian/patches/00_overwrite_error.diff:
  - removed, the relevant code has been rewritten, the patch no
    longer applies (in both senses)
  * debian/patches/02_svg.diff:
  - updated to the new upstream version
  * debian/patches/01_threads.diff:
  - removed; issue fixed upstream with a different patch
  * debian/control.in:
  - added Build-Depends to libglade2-dev, libgnomeprint{,ui}2.2-dev
    based on pkg-config requirements

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 14 Oct 2005 12:13:19 -0300

eog (2.10.2-3) unstable; urgency=medium

  [ Guilherme de S. Pastore ]
  * debian/control.in:
    - added ${misc:Depends} dependency (higher urgency)
    - bumped standards-version to 3.6.2.1 with no changes

  [ Sebastien Bacher ]
  * debian/patches/02_svg.diff
    - open svg files (Closes: #306188)
  
 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Thu, 13 Oct 2005 14:25:20 -0300

eog (2.10.2-2) unstable; urgency=low

  * debian/patches/00_overwrite_error.diff:
  - apply patch from Gustavo Noronha Silva <kov@debian.org>
    to fix the error message displayed when overwriting a file.
    Thanks! (Closes: #287980)
  * debian/patches/01_threads.diff:
  - don't create threads as joinable if we're not going to join
    them, otherwise we end up with huge memory usage and even
    crashes (Closes: #288163)
  * debian/eog-collection-view.1:
  - removed, there's only one binary that handles this on the UI now
  * debian/control.in:
  - updated my e-mail address

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Wed, 10 Aug 2005 19:46:22 -0300

eog (2.10.2-1) unstable; urgency=low

  * New maintainer (Closes: #322092)
  * Acknowledge NMUs (Closes: #223366, #237201, #253005, #289293, #321312)
  * debian/control.in:
    - Added, to auto-generate debian/control
    - Added the Debian GNOME Team to Uploaders:
      + Added Build-Dependency on gnome-pkg-tools
    - Updated to Standards-Version 3.6.2 with no changes
  * debian/copyright:
    - Updated list of Upstream Authors
    - Fixed Copyright and License notices
    - Updated the URL from which tarball was downloaded
  * debian/dirs:
    - Removed
  * debian/eog.1:
    - Escaped all hyphens
  * debian/eog.install:
    - Install gnome-eog.xpm, the Debian menu icon
  * debian/rules:
    - Include uploaders.mk from gnome-pkg-tools
    - Clean the clean:: target up, as most of the removals are already
      handled by CDBS itself

 -- Guilherme de S. Pastore <gpastore@colband.com.br>  Mon,  8 Aug 2005 22:14:55 -0300

eog (2.10.2-0.2) unstable; urgency=low

  * Non-maintainer upload by the GNOME team.
  * Build-depend on libexif-dev 0.6.12 (closes: #321312)

 -- Ross Burton <ross@debian.org>  Mon,  8 Aug 2005 09:14:04 +0100

eog (2.10.2-0.1) unstable; urgency=low

  * Non-maintainer upload by the GNOME team.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu,  7 Jul 2005 19:38:12 +0200

eog (2.10.0-0.2) unstable; urgency=low

  * Non-maintainer upload by the GNOME team.
  * Upload to unstable.
  * debian/control: drop gettext, add cdbs and bump debhelper for
    build-depends.
  * debian/rules: rewrite to use cdbs.
    - cdbs doesn't use dh_installmanpages (closes: #289293).

 -- Jordi Mallach <jordi@debian.org>  Fri, 10 Jun 2005 17:12:43 +0200

eog (2.10.0-0.1) experimental; urgency=low

  * GNOME team upload for GNOME 2.10.
  * New upstream release.
  * debian/control: updated Build-Depends.

 -- Jordi Mallach <jordi@debian.org>  Mon,  9 May 2005 16:45:11 +0200

eog (2.8.2-0.1) unstable; urgency=low

  * Non-Maintainer upload.
  * New upstream release.
  * po/ca.po: fix a bad translation.

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 Dec 2004 21:02:36 +0100

eog (2.8.1-1.1) unstable; urgency=low

  * NMU for GNOME 2.8 in unstable.
  * Upload to unstable.
  * debian/control:
    - Build-Depends on libxml-parser-perl.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 24 Nov 2004 16:39:09 +0100

eog (2.8.1-1) experimental; urgency=low

  * NMU with maintainer approval.
  * New upstream release:
    - the Nautilus "View as Collection" component isn't available anymore.
      (Closes: #223366).
    - fix the image collection mode (Closes: #253005).
    - fix the problem with fix/normal buttons (Closes: #237201).
  * debian/compat:
    - added.
  * debian/control:
    - updated Standards-Version to 3.6.1.0.
    - updated the Build-Depends.
  * debian/postinst, debian/postrm:
    - removed, dh_gconf handles this.
  * debian/NEWS:
    - added a note about the removal of the nautilus view.
  * debian/rules:
    - added a call to dh_gconf and dh_desktop.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 25 Oct 2004 22:03:56 +0200

eog (2.6.1-2) unstable; urgency=high

  * Rebuilt without libexif support to let collection view mode work
    properly, it'll be readded in the future, thanks Paul Brossier.
    closes: #253005, #267869.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  4 Sep 2004 18:05:26 +0200

eog (2.6.1-1) unstable; urgency=low

  * Acknowledge NMUs, thanks Sebastien.
    closes: #245329, #255186, #228639.
  * Fixed wrong manpage header; closes: #261034.  
  * debian/menu: used a xpm file; closes: #265940.  

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 22 Aug 2004 17:31:59 +0200

eog (2.6.1-0.4) unstable; urgency=high

  * NMU
  * Fixed the FTBFS with the new libexif (Closes: #255186).
  * debian/control:
    - updated the Build-Depends on libexif-dev.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 26 Jun 2004 14:24:01 +0200

eog (2.6.1-0.3) unstable; urgency=low

  * NMU
  * Updated build depends.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 28 May 2004 22:55:17 +0200

eog (2.6.1-0.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 May 2004 12:36:04 +0200

eog (2.6.1-0.1) experimental; urgency=low

  * NMU.
  * New upstream release.
  * debian/control.in
    + updated Build-Depends (Closes: #245329).
  * debian/menu:
    + updated menu entry with Luca Capello <luca@pca.it> suggestions
     (Closes: #228639).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 16 May 2004 14:28:53 +0200

eog (2.6.0-1) experimental; urgency=low

  * New upstream release; closes: #242060.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 18 Apr 2004 11:55:33 +0200 

eog (2.4.1-2) unstable; urgency=high

  * Added a missing Build-Depends on libgnomeprintui2.2-dev. 

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 25 Oct 2003 15:22:48 +0200

eog (2.4.1-1) unstable; urgency=low

  * New upstream version.
  * Fixed an issue on viewing some pictures twice, closes: #190889.
  * "Load image" file selector is no longer case sensitive, closes: #199431.
  * Added .jpeg support, closes: #208359.
  * Removed useless Build-Depends on liblinc-dev, closes: #214819.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 24 Oct 2003 18:41:44 +0200

eog (2.2.2-2) unstable; urgency=high

  * Added a missing Build-Depends on libeel2-dev. 

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  7 Jun 2003 10:22:39 +0200

eog (2.2.2-1) unstable; urgency=high

  * New upstream version:
   - fixed "GNOME's Eye Of Gnome incorrect file name handling"
   (http://marc.theaimsgroup.com/?l=bugtraq&m=104887189724146&w=2)
   closes: #189002.
  * Added support for "image/svg+xml" too, closes: #192421.
  * Fixed a typo into xmldocs.make (now it's a tab and not eight spaces).
    closes: #195668.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  6 Jun 2003 22:22:19 +0200

eog (2.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 10 Feb 2003 19:46:06 +0100

eog (1.1.4-1) unstable; urgency=low

  * New upstream version.
  * Segfault on Edit/Preferences is not reproducible, please try this
    version; closes: #166689.
  * Removed an old Depends on libgnomeprint2-0; closes: #177328.
  * eog is not a core app, I think that 1.1 branch is really better than
    Gnome 2.0.x version, so I'll continue to package it; closes: #170404.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 18 Jan 2003 23:36:32 +0100

eog (1.1.0-2) unstable; urgency=low

  * First upload to unstable!

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 26 Oct 2002 23:31:04 +0200

eog2 (1.1.0-1) experimental; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 18 Oct 2002 15:25:12 +0200

eog2 (1.0.3-3) experimental; urgency=low

  * Removed the 2 suffix from the binary package name.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  5 Oct 2002 12:55:32 +0200

eog2 (1.0.3-2) experimental; urgency=low

  * Removed any external DTD call in xml files; closes: #161883. 

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 28 Sep 2002 12:09:32 +0200

eog2 (1.0.3-1) experimental; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 13 Sep 2002 14:23:12 +0200

eog2 (1.0.1-5) experimental; urgency=low

  * Recompiled against gnome-vfs2 2.0.2-4.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 14 Aug 2002 17:41:06 +0200

eog2 (1.0.1-4) experimental; urgency=low

  * Recompiled against libpng3 and libgtk2.0-0png3.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 13 Aug 2002 11:46:01 +0200

eog2 (1.0.1-3) experimental; urgency=low

  * Now we don't ship /etc/gconf/gconf.xml.defaults, it's generated by
    gconftool; closes: #151856.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 12 Jul 2002 19:01:13 +0200

eog2 (1.0.1-2) experimental; urgency=low

  * Recompiled against librsvg2-2.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  1 Jul 2002 11:01:47 +0200

eog2 (1.0.1-1) experimental; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 22 Jun 2002 11:49:19 +0200

eog2 (0.118.0-1) experimental; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 25 May 2002 15:03:53 +0200

eog2 (0.116.1-1) experimental; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 25 Apr 2002 15:32:27 +0200

eog2 (0.115.0-1) experimental; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 31 Mar 2002 21:40:36 +0200

eog2 (0.114.0-1) experimental; urgency=low

  * Initial Release, closes: #130119.

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 17 Mar 2002 12:49:05 +0100  
